> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Helm Chart Files Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/org/helm/charts/chart/{repository_name}/{chart_name}/{chart_version}/files
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/helm/charts/chart/{repository_name}/{chart_name}/{chart_version}/files:
    get:
      tags:
        - Helm API
      summary: Get Helm Chart Files Endpoint
      operationId: >-
        get_helm_chart_files_endpoint_api_v1_org_helm_charts_chart__repository_name___chart_name___chart_version__files_get
      parameters:
        - in: path
          name: repository_name
          required: true
          schema:
            maxLength: 253
            title: Repository Name
            type: string
        - in: path
          name: chart_name
          required: true
          schema:
            maxLength: 253
            title: Chart Name
            type: string
        - in: path
          name: chart_version
          required: true
          schema:
            maxLength: 128
            title: Chart Version
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetHelmChartFilesResult'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    GetHelmChartFilesResult:
      properties:
        files:
          items:
            $ref: '#/components/schemas/ChartFileEntry'
          title: Files
          type: array
      required:
        - files
      title: GetHelmChartFilesResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ChartFileEntry:
      properties:
        base64_content:
          anyOf:
            - type: string
            - type: 'null'
          title: Base64 Content
        content_omitted:
          default: false
          title: Content Omitted
          type: boolean
        is_binary:
          title: Is Binary
          type: boolean
        path:
          title: Path
          type: string
        size:
          title: Size
          type: integer
      required:
        - path
        - size
        - is_binary
      title: ChartFileEntry
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````